Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class Annotated

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.Annotated

Direct Known Subclasses:
  Component, NameClass, Param, Pattern

    public abstract class Annotated

extends SourceObject

Constructor Summary
`Annotated()`

Method Summary
`void` | `attributeAnnotationsAccept(AttributeAnnotationVisitor<?> visitor)`
`void` | `childElementAnnotationsAccept(AnnotationChildVisitor<?> visitor)`
`void` | `followingElementAnnotationsAccept(AnnotationChildVisitor<?> visitor)`
`java.lang.String` | `getAttributeAnnotation(java.lang.String ns, java.lang.String localName)`
`java.util.List<AttributeAnnotation>` | `getAttributeAnnotations()`
`java.util.List<AnnotationChild>` | `getChildElementAnnotations()`
`Context` | `getContext()`
`java.util.List<AnnotationChild>` | `getFollowingElementAnnotations()`
`java.util.List<Comment>` | `getLeadingComments()`
`void` | `leadingCommentsAccept(AnnotationChildVisitor<?> visitor)`
`boolean` | `mayContainText()`
`void` | `setContext(Context context)`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Annotated

    public Annotated()

Method Detail

### getLeadingComments

    public java.util.List<Comment> getLeadingComments()

### getAttributeAnnotations

    public java.util.List<AttributeAnnotation> getAttributeAnnotations()

### getChildElementAnnotations

    public java.util.List<AnnotationChild> getChildElementAnnotations()

### getFollowingElementAnnotations

    public java.util.List<AnnotationChild> getFollowingElementAnnotations()

### mayContainText

    public boolean mayContainText()

### getContext

    public Context getContext()

### setContext

    public void setContext(Context context)

### getAttributeAnnotation

    public java.lang.String getAttributeAnnotation(java.lang.String ns,
                                                   java.lang.String localName)

### attributeAnnotationsAccept

    public void attributeAnnotationsAccept(AttributeAnnotationVisitor<?> visitor)

### childElementAnnotationsAccept

    public void childElementAnnotationsAccept(AnnotationChildVisitor<?> visitor)

### followingElementAnnotationsAccept

    public void followingElementAnnotationsAccept(AnnotationChildVisitor<?> visitor)

### leadingCommentsAccept

    public void leadingCommentsAccept(AnnotationChildVisitor<?> visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD